Download it now!
Bug 125710 - LibreOffice 6.2.4.2-2 crashes when setting Macro security
Summary: LibreOffice 6.2.4.2-2 crashes when setting Macro security
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.4.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-06-05 13:32 UTC by Leos Pohl
Modified: 2019-07-17 18:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leos Pohl 2019-06-05 13:32:25 UTC
Description:
Tools>Options>Libreoffice>Security, click Macro security, the program crashes. In console I get:
X Error: BadMatch (invalid parameter attributes) 8                                    
  Major opcode: 42 (X_SetInputFocus)                                                                                                 
  Resource id:  0x7c0133c                                                                                                            
X Error: BadMatch (invalid parameter attributes) 8                                                                                   
  Major opcode: 42 (X_SetInputFocus)
  Resource id:  0x7c0133c
X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 42 (X_SetInputFocus)
  Resource id:  0x7200094
X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 42 (X_SetInputFocus)
  Resource id:  0x7200094

LibreOffice calc also crashes when attempting to open a file with macros.

Steps to Reproduce:
1.Tools>Options>Libreoffice>Security, 
2.click Macro security, 
3.the program crashes

Actual Results:
the program crashes

Expected Results:
The dialog to set macro security should appear


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 6.2.4.2
Build ID: 2412653d852ce75f65fbfa83fb7e7b669a126d64
CPU threads: 4; OS: Linux 4.9; UI render: default; VCL: kde4; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

This is a parallel installation as from 
https://wiki.documentfoundation.org/Installing_in_parallel/Linux
Comment 1 Xisco Faulí 2019-06-06 07:22:15 UTC
Hi Leos,
Does it crash if you launch LibreOffice from command line with SAL_USE_VCLPLUGIN=gtk3 soffice ?
Comment 2 Leos Pohl 2019-06-06 18:07:18 UTC
Hello Xisco,
that does indeed help and displays the Macro security dialogue correctly.
Comment 3 QA Administrators 2019-06-07 02:53:20 UTC Comment hidden (obsolete)
Comment 4 Michael Weghorn 2019-06-14 07:13:44 UTC
I cannot reproduce with

Version: 6.2.5.0.0+
Build ID: 4ca3ac84912ab387b27d3f6c1a288a1ba12eb730
CPU threads: 64; OS: Linux 3.16; UI render: default; VCL: kde4; 
Locale: de-DE (de_DE.UTF-8); UI-Language: en-US
Calc: threaded

What desktop environment are you using? Are you explicitly choosing to use the kde4 integration in LibreOffice or is that one used by default?
There's a new kde5 one that should be used by default on KDE Plasma and LXQt and kde4 has been removed in LibreOffice 6.3 anyway.
Comment 5 Xisco Faulí 2019-06-14 09:22:13 UTC
(In reply to Michael Weghorn from comment #4)
> I cannot reproduce with
> 
> Version: 6.2.5.0.0+
> Build ID: 4ca3ac84912ab387b27d3f6c1a288a1ba12eb730
> CPU threads: 64; OS: Linux 3.16; UI render: default; VCL: kde4; 
> Locale: de-DE (de_DE.UTF-8); UI-Language: en-US
> Calc: threaded
> 
> What desktop environment are you using? Are you explicitly choosing to use
> the kde4 integration in LibreOffice or is that one used by default?
> There's a new kde5 one that should be used by default on KDE Plasma and LXQt
> and kde4 has been removed in LibreOffice 6.3 anyway.

Setting to NEEDINFO
Comment 6 Leos Pohl 2019-06-14 14:59:11 UTC
I am on Debian Stretch so plasma is at 5.8.6.

I do not know what 6.2.5.0.0+ is (RC?), I reported the bug for 6.2.4.2 which is at the official download site https://www.libreoffice.org/download/download/

This behaviour was not present at 6.2.3.2 (official site download).
Comment 7 QA Administrators 2019-06-15 03:01:44 UTC Comment hidden (obsolete)
Comment 8 Michael Weghorn 2019-06-15 08:16:41 UTC
(In reply to Leos Pohl from comment #6)
> I am on Debian Stretch so plasma is at 5.8.6.
> 
> I do not know what 6.2.5.0.0+ is (RC?), I reported the bug for 6.2.4.2 which
> is at the official download site
> https://www.libreoffice.org/download/download/
> 

It's the development version of LibreOffice 6.2, to become 6.2.5. A release candidate will be published soon, so you please test whether the problem still appears with this one for you, or with the already existing beta for LibreOffice 6.3, available at [1]?
You can also install it in parallel to an existing LibreOffice version, s. [2].

[1] https://www.libreoffice.org/download/pre-releases/
[2] https://wiki.documentfoundation.org/Installing_in_parallel/Linux
Comment 9 Leos Pohl 2019-06-26 13:16:56 UTC
I downloaded the 6.2.5 RC1 today and it is even worse. It still crashes as described plus there is significant visual impairment of the top menu bar which upon start is filled with the background of the desktop. Please see the screen record since it is difficult to describe. At the same vide I show that version 6.2.3.2 works flawlessly.

https://drive.google.com/file/d/1vIZhSx7PCE81GyrAyySyLB8ikAIC32tQ/view?usp=sharing
Comment 10 QA Administrators 2019-06-27 02:57:05 UTC Comment hidden (obsolete)
Comment 11 Jan-Marek Glogowski 2019-07-13 13:56:54 UTC
Can you test if the current daily build still crashes? There were some potential fixes merged (see bug 126272 for more information).

Please test a daily build from https://dev-builds.libreoffice.org/daily/libreoffice-6-2/Linux-rpm_deb-x86_64@86-TDF/ with date "2019-07-11" or later (More information about daily builds can be found at: https://wiki.documentfoundation.org/Testing_Daily_Builds)
Comment 12 Leos Pohl 2019-07-17 16:52:31 UTC
With the build from https://dev-builds.libreoffice.org/daily/libreoffice-6-2/Linux-rpm_deb-x86_64@86-TDF/2019-07-11_09.35.49/
the problem is gone.

There are some differences in fonts, see https://snag.gy/cLBdDE.jpg and in the "fluidity" of menu transitions (fading out).
Comment 13 Jan-Marek Glogowski 2019-07-17 18:17:00 UTC
(In reply to Leos Pohl from comment #12)
> With the build from
> https://dev-builds.libreoffice.org/daily/libreoffice-6-2/Linux-rpm_deb-
> x86_64@86-TDF/2019-07-11_09.35.49/
> the problem is gone.
> 
> There are some differences in fonts, see https://snag.gy/cLBdDE.jpg and in
> the "fluidity" of menu transitions (fading out).

Since you're on Plasma, the VCL backend now in use should be kde5 instead of kde4. Just check "About LibreOffice".

I can't really qualify "fluidity". In comparison to kde4, kde5 uses native menu bars, so LO isn't touching these at all. Everything is drawn only by Qt. LO still draws the popup menus itself. The menubar should look and behave like any KDE application. If you think there is a bug, then check 6.3 or feel free to open a new bug report.